Name: libalsa
Version: 0.9.8
Release: alt2

Summary: Advanced Linux Sound Architecture (ALSA) library
License: GPL
Group: System/Libraries
Url: http://www.alsa-project.org
Packager: Michael Shigorin <mike@altlinux.ru>

%define srcname alsa-lib
Source: ftp://ftp.alsa-project.org/pub/lib/%srcname-%version.tar.bz2
Patch: %srcname-0.9.8-alt-fpic.patch

Obsoletes: libalsa2 < 0.9.4
Provides: libalsa2 = %version
BuildPreReq: alsa-driver-headers >= %version

# Automatically added by buildreq on Wed Oct 22 2003
BuildRequires: glibc-devel-static

%package -n aserver
Summary: Sound server for alsa
License: GPL
Group: Sound
Requires: %name = %version-%release

%package devel
Summary: Development environment for Advanced Linux Sound Architecture (ALSA)
License: GPL
Group: Development/C

Requires: %name = %version-%release
Provides: libalsa2-devel = %version-%release
Obsoletes: libalsa2-devel

%package devel-static
Summary: Static libraries for Advanced Linux Sound Architecture (ALSA)
License: GPL
Group: Development/C
Requires: %name-devel = %version-%release

%description -n aserver
Sound server for alsa

%description
Advanced Linux Sound Architecture (ALSA) libs.  Modularized architecture with
support for a large range of ISA and PCI cards.  Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

%description devel
Advanced Linux Sound Architecture (ALSA) libs.  Modularized architecture with
support for a large range of ISA and PCI cards.  Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

This is the development environment to compile ALSA applications.

%description devel-static
Advanced Linux Sound Architecture (ALSA) libs.  Modularized architecture with
support for a large range of ISA and PCI cards.  Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

This package contains static library to build statically linked ALSA applications.

%prep
%setup -q -n %srcname-%version
%patch -p1

%build
export ac_cv_prog_AWK=gawk
%configure --enable-static
%make_build

%install
%__mkdir_p $RPM_BUILD_ROOT{%_libdir,%_includedir/sys}
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%_datadir/alsa

%files devel
%_libdir/*.so
%_libdir/pkgconfig/alsa.pc
%_includedir/sys/*
%_includedir/alsa
%_datadir/aclocal/*

%files devel-static
%_libdir/*.a

%files -n aserver
%_bindir/aserver

%changelog
* Wed Nov 12 2003 Dmitry V. Levin <ldv@altlinux.org> 0.9.8-alt2
- Fixed pcm_direct to avoid text relocations in libasound.so.2.
- Do not package .la files.
- Minor specfile cleanup.

* Wed Oct 22 2003 Michael Shigorin <mike@altlinux.ru> 0.9.8-alt1
- 0.9.8

* Fri Sep 26 2003 Michael Shigorin <mike@altlinux.ru> 0.9.7-alt1
- 0.9.7

* Wed Jul 30 2003 Michael Shigorin <mike@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Tue Jul 15 2003 Michael Shigorin <mike@altlinux.ru> 0.9.5-alt1
- 0.9.5

* Tue Jul 08 2003 Michael Shigorin <mike@altlinux.ru> 0.9.4-alt2
- fixed forcibly broken BuildRequires as kernel-source-alsa-std got fixed
  (alsa-driver-headers >= %%version)

* Mon Jun 23 2003 Michael Shigorin <mike@altlinux.ru> 0.9.4-alt1
- 0.9.4
- renamed to libalsa

* Wed Apr 02 2003 Michael Shigorin <mike@altlinux.ru> 0.9.2-alt0.1
- 0.9.2 (unofficial build)

* Tue Feb 04 2003 Rider <rider@altlinux.ru> 0.9.0rc7-alt1
- 0.9.0rc7

* Tue Nov 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc6-alt1
- 0.9.0rc6
- REbuilt in new environment

* Mon Jun 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc1-alt2
- Removed requires to virtual kernel alsa

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc1-alt1
- 0.9.0rc1

* Thu Feb 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta12-alt1
- 0.9.0beta12

* Wed Dec 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta10a-alt1
- 0.9.0beta10a

* Tue Nov 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta9-alt1
- 0.9.0beta9

* Fri Oct 12 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta8a-alt1
- 0.9.0beta8a
- Fixed requires
- Fixed filelists

* Fri Sep 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta7-alt1
- First build for Sisyphus
